package cn.demo;

import cn.demo.utils.HttpUtil;

import java.io.File;
import java.io.IOException;

import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName ocrAndVerify
 * @Description 识别加核验接口
 */
public class OcrAndVerify {

    private static String URL = "http://103.139.212.226:8088/invoice/test/ocrAndVerify";

    public static void main(String[] args) throws IOException {
        String filePath = "C:\\test.jpg";
        Map<String, String> map = new HashMap<>();
        map.put("verify", "0");        //是否开启核验,0-不开启,1-开启
        map.put("retain", "0");        //是否同时返回识别和验真结果,0-不开启,1-开启
        map.put("cutImage", "0");      //是否裁切图片,0-不开启,1-开启
        map.put("userName", "");       //用户名

        String result = HttpUtil.postFile(URL, new File(filePath), map);
        System.out.println(result);
    }

}
