package cn.demo;

import cn.demo.utils.Base64Util;
import cn.demo.utils.HttpUtil;
import com.alibaba.fastjson.JSON;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName OcrAndVerifyBase64Body
 * @Description 识别加核验接口(Base64版)
 */
public class OcrAndVerifyBase64Body {

    private static String URL = "http://103.139.212.226:8088/invoice/test/ocrAndVerifyBase64Body";

    public static void main(String[] args) throws IOException {
        String filePath = "C:\\test.jpg";

        Map<String, String> map = new HashMap<>();
        String base64 = Base64Util.img2base64(filePath);
        map.put("imgBase64", base64);      //上传文件 base64编码
        map.put("verify", "0");            //是否开启核验,0-不开启,1-开启
        map.put("retain", "0");            //是否同时返回识别和验真结果,0-不开启,1-开启
        map.put("cutImage", "0");          //是否裁切图片,0-不裁切,1-裁切
        map.put("userName", "");           //用户名
        String json = JSON.toJSONString(map);

        String result = HttpUtil.postBase64(URL, json);
        System.out.println(result);

    }
}