package cn.demo.utils;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Base64;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Base64Util {

    /**
     * 将图片文件转化为字节数组字符串，并对其进行Base64编码处理
     *
     * @param path
     * @return
     */
    public static String img2base64(String path) {
        InputStream in = null;
        try {
            byte[] data = null;
            //读取图片字节数组
            try {
                in = new FileInputStream(path);
                data = new byte[in.available()];
                in.read(data);

            } catch (Exception e) {
                e.printStackTrace();
            }
            //对字节数组Base64编码
            Pattern p = Pattern.compile("\\s*|\t|\r|\n");
            Matcher m = p.matcher(Base64.getEncoder().encodeToString(data));
            String base64 = m.replaceAll("");
            return base64;
        } catch (Exception e) {
            return "";
        } finally {
            try {
                in.close();
            } catch (IOException e) {

            }
        }
    }

}
